---
title: Drawdown response
slug: apis/payments/wires/respond-to-a-drawdown-request
description: Responds to a wires drawdown request by sending payment using POST /wires/v1/payments/{id}/drawdown-responses
icon: {"apiMethod":"POST"}
docTags: 
createdAt: 2025-07-06T12:02:48.695Z
---

## API reference

:::hint{type="warning"}
In November 2027, the Fedwire Funds Service will remove the fully unstructured postal address option in favor of a single hybrid postal address format. **All parties** (intermediaryFi, beneficiaryFi, beneficiary, originator)  across **all message types** must transition from free-text address lines (address1, address2, address3) to a new **postalAddress object** with mandatory adrLine1, country and city fields.

In advance of the Fedwire enforcement date, all partners must use the new **postalAddress&#x20;**&#x73;tructure in production no later tha&#x6E;**&#x20;October 2027.&#x20;**&#x4D;essages sent in the old format after this date will be rejected.
:::

Responds to a wires drawdown request by sending payment.

:::ApiMethodV2
```json
{
  "name": "Endpoint: /wires/v1/payments/{id}/drawdown-responses",
  "method": "POST",
  "url": "https://sandbox.crbcos.com/wires/v1/payments/{id}/drawdown-responses",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "Fu-JmSOym0_w8yAF18kYP",
        "language": "curl",
        "code": "curl -L 'https://sandbox.crbcos.com/wires/v1/payments/61c194b3-6405-4b7f-bd81-b30c00e05637/drawdown-responses' ^\n-H 'Content-Type: application/json' ^\n-H 'Authorization: Bearer token' ^\n-d '{\n    \"originator\": {\n        \"idCode\": \"D\",\n        \"identifier\": \"2955057589\",\n        \"name\": \"PMR Corp\",\n        \"address1\": \"10431 Howe Drive\",\n        \"address2\": \"Shawnee Mission KS 66206\",\n        \"address3\": \"US\"\n    },\n    \"beneficiaryReference\": \"testref\",\n    \"originatorToBeneficiary1\": \"1string\",\n    \"originatorToBeneficiary2\": \"2string\",\n    \"originatorToBeneficiary3\": \"3string\",\n    \"originatorToBeneficiary4\": \"4string\"\n}'",
        "customLabel": ""
      },
      {
        "id": "5H6I2_MAYQS_zeaNcjUGa",
        "language": "nodejs",
        "code": "curl -L 'https://sandbox.crbcos.com/wires/v1/payments/61c194b3-6405-4b7f-bd81-b30c00e05637/drawdown-responses' ^\n-H 'Content-Type: application/json' ^\n-H 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsIng1dCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc1MTk3MjM3MiwiaWF0IjoxNzUxOTcyMzcyLCJleHAiOjE3NTE5NzU5NzIsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJjb3NzYngiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJjbGllbnRfaWQiOiJiNzk5OTUxZDQ3ZWI0MTBkOTJiOWRhOTAxYjhmZmE2OSIsImp0aSI6IjBFMTE0MEJERTQwRDk3NDM2REQzQkQxMjYzMDY3ODUyIn0.FcqK7nGmaihcHdjIyk9HIpxanSIUYv-mgtth_s0p3exkSfuquUwIBoH5mCfUuokC7Z0LtqLIbxVmwh79Ter0pP3pfC8K-fMUBag2xRNyfZ6e4RFnP-QbnyjWe9mIjWXonMLCdNS5OY0OJ-CllaKXaPq8cS87DUGGRYpnfx04KXvgF-Tk-yQjfb7AGrbLUol2rV5vgTUG8THICuuaZgSVKTDgNdpMOOO9lZSIXFG2Syh5j-4gBH_Fa46do-lNGkJJG3c-ISHkpqtvkEe2mvP5kOMRMhEa4nVs9YSpup9Jl1odjnVZ_D_QeKVSypVobVfKP_iaFbnwDGz_N4ORL3y3kg' ^\n-d '{\n    \"originator\": {\n        \"idCode\": \"D\",\n        \"identifier\": \"2955057589\",\n        \"name\": \"PMR Corp\",\n        \"address1\": \"10431 Howe Drive\",\n        \"address2\": \"Shawnee Mission KS 66206\",\n        \"address3\": \"US\"\n    },\n    \"beneficiaryReference\": \"testref\",\n    \"originatorToBeneficiary1\": \"1string\",\n    \"originatorToBeneficiary2\": \"2string\",\n    \"originatorToBeneficiary3\": \"3string\",\n    \"originatorToBeneficiary4\": \"4string\"\n}'",
        "customLabel": ""
      },
      {
        "id": "qX7hBJetYArVjQ-vL3Q4Z",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://sandbox.crbcos.com/wires/v1/payments/61c194b3-6405-4b7f-bd81-b30c00e05637/drawdown-responses\"\n\npayload = json.dumps({\n  \"originator\": {\n    \"idCode\": \"D\",\n    \"identifier\": \"2955057589\",\n    \"name\": \"PMR Corp\",\n    \"address1\": \"10431 Howe Drive\",\n    \"address2\": \"Shawnee Mission KS 66206\",\n    \"address3\": \"US\"\n  },\n  \"beneficiaryReference\": \"testref\",\n  \"originatorToBeneficiary1\": \"1string\",\n  \"originatorToBeneficiary2\": \"2string\",\n  \"originatorToBeneficiary3\": \"3string\",\n  \"originatorToBeneficiary4\": \"4string\"\n})\nheaders = {\n  'Content-Type': 'application/json',\n  'Authorization': 'Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsIng1dCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc1MTk3MjM3MiwiaWF0IjoxNzUxOTcyMzcyLCJleHAiOjE3NTE5NzU5NzIsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJjb3NzYngiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJjbGllbnRfaWQiOiJiNzk5OTUxZDQ3ZWI0MTBkOTJiOWRhOTAxYjhmZmE2OSIsImp0aSI6IjBFMTE0MEJERTQwRDk3NDM2REQzQkQxMjYzMDY3ODUyIn0.FcqK7nGmaihcHdjIyk9HIpxanSIUYv-mgtth_s0p3exkSfuquUwIBoH5mCfUuokC7Z0LtqLIbxVmwh79Ter0pP3pfC8K-fMUBag2xRNyfZ6e4RFnP-QbnyjWe9mIjWXonMLCdNS5OY0OJ-CllaKXaPq8cS87DUGGRYpnfx04KXvgF-Tk-yQjfb7AGrbLUol2rV5vgTUG8THICuuaZgSVKTDgNdpMOOO9lZSIXFG2Syh5j-4gBH_Fa46do-lNGkJJG3c-ISHkpqtvkEe2mvP5kOMRMhEa4nVs9YSpup9Jl1odjnVZ_D_QeKVSypVobVfKP_iaFbnwDGz_N4ORL3y3kg'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "A-2mzRsX9VX6ukolcIfc2",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/wires/v1/payments/61c194b3-6405-4b7f-bd81-b30c00e05637/drawdown-responses\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Content-Type\"] = \"application/json\"\nrequest[\"Authorization\"] = \"Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsIng1dCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc1MTk3MjM3MiwiaWF0IjoxNzUxOTcyMzcyLCJleHAiOjE3NTE5NzU5NzIsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJjb3NzYngiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJjbGllbnRfaWQiOiJiNzk5OTUxZDQ3ZWI0MTBkOTJiOWRhOTAxYjhmZmE2OSIsImp0aSI6IjBFMTE0MEJERTQwRDk3NDM2REQzQkQxMjYzMDY3ODUyIn0.FcqK7nGmaihcHdjIyk9HIpxanSIUYv-mgtth_s0p3exkSfuquUwIBoH5mCfUuokC7Z0LtqLIbxVmwh79Ter0pP3pfC8K-fMUBag2xRNyfZ6e4RFnP-QbnyjWe9mIjWXonMLCdNS5OY0OJ-CllaKXaPq8cS87DUGGRYpnfx04KXvgF-Tk-yQjfb7AGrbLUol2rV5vgTUG8THICuuaZgSVKTDgNdpMOOO9lZSIXFG2Syh5j-4gBH_Fa46do-lNGkJJG3c-ISHkpqtvkEe2mvP5kOMRMhEa4nVs9YSpup9Jl1odjnVZ_D_QeKVSypVobVfKP_iaFbnwDGz_N4ORL3y3kg\"\nrequest.body = JSON.dump({\n  \"originator\": {\n    \"idCode\": \"D\",\n    \"identifier\": \"2955057589\",\n    \"name\": \"PMR Corp\",\n    \"address1\": \"10431 Howe Drive\",\n    \"address2\": \"Shawnee Mission KS 66206\",\n    \"address3\": \"US\"\n  },\n  \"beneficiaryReference\": \"testref\",\n  \"originatorToBeneficiary1\": \"1string\",\n  \"originatorToBeneficiary2\": \"2string\",\n  \"originatorToBeneficiary3\": \"3string\",\n  \"originatorToBeneficiary4\": \"4string\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "6DAMdL5ThmPEWqlaPJC0D",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"strings\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/wires/v1/payments/61c194b3-6405-4b7f-bd81-b30c00e05637/drawdown-responses\"\n  method := \"POST\"\n\n  payload := strings.NewReader(`{`+\"\n\"+`\n    \"originator\": {`+\"\n\"+`\n        \"idCode\": \"D\",`+\"\n\"+`\n        \"identifier\": \"2955057589\",`+\"\n\"+`\n        \"name\": \"PMR Corp\",`+\"\n\"+`\n        \"address1\": \"10431 Howe Drive\",`+\"\n\"+`\n        \"address2\": \"Shawnee Mission KS 66206\",`+\"\n\"+`\n        \"address3\": \"US\"`+\"\n\"+`\n    },`+\"\n\"+`\n    \"beneficiaryReference\": \"testref\",`+\"\n\"+`\n    \"originatorToBeneficiary1\": \"1string\",`+\"\n\"+`\n    \"originatorToBeneficiary2\": \"2string\",`+\"\n\"+`\n    \"originatorToBeneficiary3\": \"3string\",`+\"\n\"+`\n    \"originatorToBeneficiary4\": \"4string\"`+\"\n\"+`\n}`)\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, payload)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"Content-Type\", \"application/json\")\n  req.Header.Add(\"Authorization\", \"Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsIng1dCI6IjdQREJ4dGVldl9IMXhpRk9XeEhVN19RRkdxNCIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJodHRwczovL2lkcHRlc3QuY3JiY29zLmNvbSIsIm5iZiI6MTc1MTk3MjM3MiwiaWF0IjoxNzUxOTcyMzcyLCJleHAiOjE3NTE5NzU5NzIsImF1ZCI6WyJodHRwczovL2FwaS5jcmJjb3MuY29tLyIsImh0dHBzOi8vaWRwdGVzdC5jcmJjb3MuY29tL3Jlc291cmNlcyJdLCJzY29wZSI6WyJjb3NzYngiLCJodHRwczovL2FwaS5jcmJjb3MuY29tLyJdLCJjbGllbnRfaWQiOiJiNzk5OTUxZDQ3ZWI0MTBkOTJiOWRhOTAxYjhmZmE2OSIsImp0aSI6IjBFMTE0MEJERTQwRDk3NDM2REQzQkQxMjYzMDY3ODUyIn0.FcqK7nGmaihcHdjIyk9HIpxanSIUYv-mgtth_s0p3exkSfuquUwIBoH5mCfUuokC7Z0LtqLIbxVmwh79Ter0pP3pfC8K-fMUBag2xRNyfZ6e4RFnP-QbnyjWe9mIjWXonMLCdNS5OY0OJ-CllaKXaPq8cS87DUGGRYpnfx04KXvgF-Tk-yQjfb7AGrbLUol2rV5vgTUG8THICuuaZgSVKTDgNdpMOOO9lZSIXFG2Syh5j-4gBH_Fa46do-lNGkJJG3c-ISHkpqtvkEe2mvP5kOMRMhEa4nVs9YSpup9Jl1odjnVZ_D_QeKVSypVobVfKP_iaFbnwDGz_N4ORL3y3kg\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Fu-JmSOym0_w8yAF18kYP"
  },
  "results": {
    "languages": [
      {
        "id": "spCzOi4OiMl0CermKUzVr",
        "language": "200",
        "customLabel": "",
        "code": "{\n  \"id\": \"cb9bd5f3-e720-47dc-ab9b-af7100fe54d4\",\n  \"accountNumber\": \"2805121064\",\n  \"coreTransactionId\": \"e3e7a91e-fe43-40c4-a264-af710135d35d\",\n  \"referenceId\": \"W2235435X38\",\n  \"fedBatchId\": \"0259951e-e377-4940-b312-af71013af155\",\n  \"fedBatchSequence\": 1,\n  \"direction\": \"Outbound\",\n  \"paymentType\": \"DrawdownResponse\",\n  \"source\": \"OpsPortal\",\n  \"status\": \"Completed\",\n  \"posting\": \"Posted\",\n  \"partnerAuthorization\": \"NotRequired\",\n  \"partnerAuthorization2\": \"NotRequired\",\n  \"amount\": 1248098147,\n  \"currency\": \"usd\",\n  \"purpose\": \"ENTERED BY #61AA4FE6014AFB01143EBB35#\",\n  \"imad\": \"20221220QMGFT009000933\",\n  \"omad\": \"20221220B1QGC01R06123612201412\",\n  \"businessFunctionCode\": \"DRW\",\n  \"typeCode\": \"1032\",\n  \"senderRoutingNumber\": \"021214891\",\n  \"senderName\": \"CROSS RIVER BK\",\n  \"senderReference\": \"W2235435X38\",\n  \"receiverRoutingNumber\": \"021000021\",\n  \"receiverName\": \"JPMORGAN CHASE\",\n  \"originator\": {\n    \"idCode\": \"D\",\n    \"identifier\": \"2805121064\",\n    \"name\": \"CRB FBO RPPS Settlement\",\n    \"address1\": \"885 Teaneck Rd\",\n    \"address2\": \"Teaneck, NJ 07666 US\"\n  },\n  \"beneficiary\": {\n    \"idCode\": \"D\",\n    \"identifier\": \"014053007\",\n    \"name\": \"MASTERCARD INTERNATIONAL\",\n    \"address1\": \"INCORPORATE/SERVICES\",\n    \"address2\": \"2200 MASTERCARD BOULEVARD\",\n    \"address3\": \"O'FALLON MO 63366- US\"\n  },\n  \"beneficiaryReference\": \"1097200354JO\",\n  \"receiptDate\": \"1220\",\n  \"receiptTime\": \"1412\",\n  \"wasReversed\": false,\n  \"isInternational\": false,\n  \"createdAt\": \"2022-12-20T10:25:59.53-05:00\",\n  \"processedAt\": \"2022-12-20T14:07:01.817-05:00\",\n  \"effectiveDate\": \"2022-12-20T00:00:00-05:00\",\n  \"completedAt\": \"2022-12-20T14:46:58.82-05:00\",\n  \"postedAt\": \"2022-12-20T13:48:02.473-05:00\",\n  \"originalPaymentId\": \"5beea7ed-e9a1-4914-9bdc-af7100eb4dbd\",\n  \"partnerId\": \"6ee82269-9e89-450e-9065-a9e5012c2645\",\n  \"productId\": \"701d116d-ceec-4868-94f0-ab3c00e82bde\",\n  \"lastModifiedAt\": \"2022-12-20T14:46:58.8208426-05:00\",\n  \"postingCode\": \"OK\"\n}"
      }
    ],
    "selectedLanguageId": "spCzOi4OiMl0CermKUzVr"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "id",
        "kind": "required",
        "type": "string",
        "description": "The payment ID of the drawdown request. This is in GUID format.",
        "": "The payment ID of the drawdown request. This is in GUID format."
      }
    ],
    "headerParameters": [],
    "formDataParameters": [],
    "bodyDataParameters": [
      {
        "name": "originator",
        "kind": "required",
        "type": "object",
        "description": "Details of the party sending the wire",
        "children": [
          {
            "name": "idCode",
            "kind": "required",
            "type": "string",
            "description": "Specifies the type of value in the identifier field that follows it. Maximum 1 character.\n\nFor outbound payments where originator details are submitted with your payment request, the value of this field should be \"D\". Otherwise, the system will automatically populate this field."
          },
          {
            "name": "identifier",
            "kind": "required",
            "type": "string",
            "description": "A number or string that provides unique identification, such as a driver's license number for an individual, or a Fed routing number for an FI. Maximum 34 characters.\n\nFor outbound payments where originator details are submitted with the payment request, this is the customer account number. Otherwise, the system automatically populates this field using the account/product configuration."
          },
          {
            "name": "name",
            "kind": "required",
            "type": "string",
            "description": "Originator name. Maximum 140 characteres."
          },
          {
            "name": "postalAddress",
            "kind": "optional",
            "type": "object",
            "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information and should be used instead of the deprecated address lines",
            "children": [
              {
                "name": "adrLine1",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              },
              {
                "name": "adrLine2",
                "kind": "optional",
                "type": "string",
                "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
              },
              {
                "name": "country",
                "kind": "required",
                "type": "string",
                "description": "2 character country ISO country code. For example US, GB"
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string",
                "description": "2-char state. For example NY, FL"
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Max 15 chars"
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              }
            ]
          },
          {
            "name": "address1",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address."
          },
          {
            "name": "address2",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code."
          },
          {
            "name": "address3",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire."
          }
        ],
        "schema": [
          {
            "name": "idCode",
            "kind": "required",
            "type": "string",
            "description": "Specifies the type of value in the identifier field that follows it. Maximum 1 character.\n\nFor outbound payments where originator details are submitted with your payment request, the value of this field should be \"D\". Otherwise, the system will automatically populate this field."
          },
          {
            "name": "identifier",
            "kind": "required",
            "type": "string",
            "description": "A number or string that provides unique identification, such as a driver's license number for an individual, or a Fed routing number for an FI. Maximum 34 characters.\n\nFor outbound payments where originator details are submitted with the payment request, this is the customer account number. Otherwise, the system automatically populates this field using the account/product configuration."
          },
          {
            "name": "name",
            "kind": "required",
            "type": "string",
            "description": "Originator name. Maximum 140 characteres."
          },
          {
            "name": "postalAddress",
            "kind": "optional",
            "type": "object",
            "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information and should be used instead of the deprecated address lines",
            "children": [
              {
                "name": "adrLine1",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              },
              {
                "name": "adrLine2",
                "kind": "optional",
                "type": "string",
                "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
              },
              {
                "name": "country",
                "kind": "required",
                "type": "string",
                "description": "2 character country ISO country code. For example US, GB"
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string",
                "description": "2-char state. For example NY, FL"
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Max 15 chars"
              },
              {
                "name": "city",
                "kind": "required",
                "type": "string",
                "description": "Max 35 chars"
              }
            ]
          },
          {
            "name": "address1",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address."
          },
          {
            "name": "address2",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code."
          },
          {
            "name": "address3",
            "kind": "optional",
            "type": "string",
            "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire."
          }
        ]
      },
      {
        "name": "beneficiaryReference",
        "kind": "optional",
        "type": "string",
        "description": "Optional field for additional information. 35 characters maximum.",
        "": "Optional field for additional information. 35 characters maximum."
      },
      {
        "name": "originatorToBeneficiaryLine1",
        "kind": "optional",
        "type": "string",
        "description": "One of 4 fields, 35 characters each, to add additional information to be sent to the beneficiary.",
        "children": []
      },
      {
        "name": "originatorToBeneficiaryLine2",
        "kind": "optional",
        "type": "string",
        "description": "One of 4 fields, 35 characters each, to add additional information to be sent to the beneficiary.",
        "children": []
      },
      {
        "name": "originatorToBeneficiaryLine3",
        "kind": "optional",
        "type": "string",
        "description": "One of 4 fields, 35 characters each, to add additional information to be sent to the beneficiary.",
        "children": []
      },
      {
        "name": "originatorToBeneficiaryLine4",
        "kind": "optional",
        "type": "string",
        "description": "One of 4 fields, 35 characters each, to add additional information to be sent to the beneficiary.",
        "children": []
      }
    ]
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "The payment ID. First appears in the initial response to the originate a payment request. This ID is in GUID format."
    },
    {
      "name": "accountNumber",
      "kind": "optional",
      "type": "string",
      "description": "Cross River Account number. In Cross River, depending on the account type, the number of digits will vary. The first digit indicates the kind of account.",
      "children": []
    },
    {
      "name": "coreTransactionId",
      "kind": "optional",
      "type": "string",
      "description": "Internal Cross River unique ID for the transaction",
      "children": []
    },
    {
      "name": "referenceId",
      "kind": "optional",
      "type": "string",
      "description": "Unique Cross River reference ID for the payment",
      "children": []
    },
    {
      "name": "fedBatchId",
      "kind": "optional",
      "type": "string",
      "description": "Unique identifier in GUID format for the Federal Reserve batch the payment went out on (or came in on for inbound payments)",
      "children": []
    },
    {
      "name": "fedBatchSequence",
      "kind": "optional",
      "type": "integer",
      "description": "Sequence number of payment in batch",
      "children": []
    },
    {
      "name": "direction",
      "kind": "optional",
      "type": "string",
      "description": "Inbound or outbound",
      "children": []
    },
    {
      "name": "paymentType",
      "kind": "optional",
      "type": "string",
      "description": "Transfer, Drawdown, DrawdownResponse, ServiceMessage, Reversal",
      "children": []
    },
    {
      "name": "source",
      "kind": "optional",
      "type": "string",
      "description": "Method used to send payment instructions: Phone, fax, email, file, API, partner portal, Ops portal.",
      "children": []
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "Payment status: Created, Pending, Hold, Batched, Processing, Completed, Rejected, Canceled, Blocked",
      "children": []
    },
    {
      "name": "posting",
      "kind": "optional",
      "type": "string",
      "description": "Posting status: Pending, Posted, Failed, Canceled",
      "children": []
    },
    {
      "name": "rejectionReason",
      "kind": "optional",
      "type": "string",
      "description": "Rejected because:\n- OfacCancelUnableToDetermine\n- OfacConfirmed\n- OfacUnconfirmed\n- Other",
      "children": []
    },
    {
      "name": "blockedReason",
      "kind": "optional",
      "type": "string",
      "description": "Blocked because: OfacMatch, Other",
      "children": []
    },
    {
      "name": "partnerAuthorization",
      "kind": "optional",
      "type": "string",
      "description": "Partner authorization for out-of-band payment requests: NotRequired, Pending , Approved, Canceled",
      "children": []
    },
    {
      "name": "authorizedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the wire was authorized. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "authorizedById",
      "kind": "optional",
      "type": "string",
      "description": "Cross River user ID of the partner user who authorizes the wire",
      "children": []
    },
    {
      "name": "authorizedByName",
      "kind": "optional",
      "type": "string",
      "description": "Cross River username of the partner user who authorizes the wire",
      "children": []
    },
    {
      "name": "partnerAuthorization2",
      "kind": "optional",
      "type": "string",
      "description": "Second partner authorization for out-of-band payment requests: NotRequired, Pending , Approved, Canceled",
      "children": []
    },
    {
      "name": "authorizedAt2",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the wire was authorized. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "authorizedById2",
      "kind": "optional",
      "type": "string",
      "description": "Cross River user ID of the partner user who authorizes the wire",
      "children": []
    },
    {
      "name": "authorizedByName2",
      "kind": "optional",
      "type": "string",
      "description": "Cross River username of the partner user who authorizes the wire",
      "children": []
    },
    {
      "name": "amount",
      "kind": "optional",
      "type": "integer",
      "description": "Dollar amount of wire transfer in positive integral cents. For example, write $1.00 as 100.",
      "children": []
    },
    {
      "name": "currency",
      "kind": "optional",
      "type": "string",
      "description": "Currency of funds transfer",
      "children": []
    },
    {
      "name": "purpose",
      "kind": "optional",
      "type": "string",
      "description": "Reason for the wire transfer, such as \"daily settlement.\" Also use this field if you submit multiple wires for the same amount, such as \"1 of 2, 2 of 2.\" This data is not included with the outgoing FedWire message.",
      "children": []
    },
    {
      "name": "imad",
      "kind": "optional",
      "type": "string",
      "description": "Input Messaging Accountability Data. A combination of a date, source identifier, and sequence number assigned to a Fedwire message when it is processed by the Federal Reserve Bank Funds Transfer application. Unique to the payment.",
      "children": []
    },
    {
      "name": "omad",
      "kind": "optional",
      "type": "string",
      "description": "Output Messaging Accountability Data. A combination of a date, destination identifier, and sequence number assigned to a Fedwire message when it is processed by the Federal Reserve Bank Funds Transfer application.",
      "children": []
    },
    {
      "name": "businessFunctionCode",
      "kind": "optional",
      "type": "string",
      "description": "The business purpose of the wire transfer. The most common type is customer wire transfer (CTR) where the beneficiary isn't a bank. See the full list of codes and descriptions.",
      "children": []
    },
    {
      "name": "typeCode",
      "kind": "optional",
      "type": "string",
      "description": "The type code value provides information about the type of wire transfer sent (type code, first 2 digits) and more details about the transfer (subtype code, second 2 digits).",
      "children": []
    },
    {
      "name": "senderRoutingNumber",
      "kind": "optional",
      "type": "string",
      "description": "Fedwire routing number for the sender's bank",
      "children": []
    },
    {
      "name": "senderName",
      "kind": "optional",
      "type": "string",
      "description": "Entity sending the wire",
      "children": []
    },
    {
      "name": "senderReference",
      "kind": "optional",
      "type": "string",
      "description": "Sender's assigned reference number",
      "children": []
    },
    {
      "name": "receiverRoutingNumber",
      "kind": "optional",
      "type": "string",
      "description": "The 9-digit Fedwire routing number of the financial institution receiving the wire drawdown request. The ABA directory provides financial institution routing numbers.",
      "children": []
    },
    {
      "name": "receiverName",
      "kind": "optional",
      "type": "string",
      "description": "Name of the FI receiving the funds",
      "children": []
    },
    {
      "name": "originatingFi",
      "kind": "optional",
      "type": "object",
      "description": "Details of the financial institution sending the wire",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Specifies the type of value in the identifier field that follows it. 1 character. See the list of ID codes."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier at the financial institution sending the wire"
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Name of the originating financial institution"
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "originator",
      "kind": "optional",
      "type": "object",
      "description": "Details of the party sending the wire",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Specifies the type of value in the identifier field that follows it. 1 character. See the list of ID codes."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier for the party sending the wire. For outbound payments where originator details are submitted with the payment request, this is the customer account number. Otherwise, the system automatically populates this field."
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Originator name. Maximum 140 characteres."
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "intermediaryFi",
      "kind": "optional",
      "type": "object",
      "description": "Details of any intermediary bank involved in the wire transaction. Not all wire transfers use an intermediary FI.",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Specifies the type of value in the identifier field that follows it. 1 character. See the list of ID codes."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier for the intermediary bank involved with the wire transaction."
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Intermediary financial institution name. Maximum 140 characters."
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "beneficiaryFi",
      "kind": "optional",
      "type": "object",
      "description": "Details of the financial institution receiving the wire",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Specifies the type of value in the identifier field that follows it. 1 character. See the list of ID codes.\n\nFor outbound payments, the value for the beneficiary FI is F to indicate the bank Fed routing number. This field is optional for domestic wires because the system automatically uses the banking information for the value entered into the receiverRoutingNumber field."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier for the bank receiving the wire. For outbound payments, this is the bank Fed routing number. This field is optional for domestic wires because the system automatically uses the banking information for the value entered into the receiverRoutingNumber field."
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Beneficiary financial institution name. Maximum 140 characters."
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "beneficiary",
      "kind": "optional",
      "type": "object",
      "description": "Details of the party receiving the wire",
      "children": [
        {
          "name": "idCode",
          "kind": "optional",
          "type": "string",
          "description": "Identifier code for the party receiving the wire. For outbound payments, this is \"D\" to indicate a deposit account."
        },
        {
          "name": "identifier",
          "kind": "optional",
          "type": "string",
          "description": "Identifier for the party receiving the wire. For outbound payments, this is the beneficiary's account number."
        },
        {
          "name": "name",
          "kind": "optional",
          "type": "string",
          "description": "Beneficiary name. Maximum 140 characters."
        },
        {
          "name": "postalAddressInfo",
          "kind": "optional",
          "type": "object",
          "description": "Postal address details of the party involved - this is the NEW ISO20022 format for address information",
          "children": [
            {
              "name": "adrLine1",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            },
            {
              "name": "adrLine2",
              "kind": "optional",
              "type": "string",
              "description": "Max 35 chars. If adrLine2 is provided, then adrLine1 must not be blank"
            },
            {
              "name": "country",
              "kind": "required",
              "type": "string",
              "description": "2 character country ISO country code. For example US, GB"
            },
            {
              "name": "state",
              "kind": "optional",
              "type": "string",
              "description": "2-char state. For example NY, FL"
            },
            {
              "name": "postalCode",
              "kind": "optional",
              "type": "string",
              "description": "Max 15 chars"
            },
            {
              "name": "city",
              "kind": "required",
              "type": "string",
              "description": "Max 35 chars"
            }
          ]
        },
        {
          "name": "address1",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the street address"
        },
        {
          "name": "address2",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters usually used for the city, state, and postal code"
        },
        {
          "name": "address3",
          "kind": "optional",
          "type": "string",
          "description": "DEPRECATED - Use the PostalAddress object instead.\nField of 35 characters for any information, for example, country code or information related to the wire"
        }
      ]
    },
    {
      "name": "originatorToBeneficiary1",
      "kind": "optional",
      "type": "string",
      "description": "Field for additional information from the originator to the beneficiary.",
      "children": []
    },
    {
      "name": "beneficiaryReference",
      "kind": "optional",
      "type": "string",
      "description": "Optional field for additional information. 35 characters maximum.",
      "children": []
    },
    {
      "name": "receiptDate",
      "kind": "optional",
      "type": "string",
      "description": "Month and day the wire was received in the format mmdd",
      "children": []
    },
    {
      "name": "receiptTime",
      "kind": "optional",
      "type": "string",
      "description": "Time the wire was received, in the format hhmm",
      "children": []
    },
    {
      "name": "wasReversed",
      "kind": "optional",
      "type": "boolean",
      "description": "True if the payment was reversed, otherwise false",
      "children": []
    },
    {
      "name": "isInternational",
      "kind": "optional",
      "type": "boolean",
      "description": "True if the payment is international, otherwise false",
      "children": []
    },
    {
      "name": "clientIdentifier",
      "kind": "optional",
      "type": "string",
      "description": "Use this attribute to add your own unique identifying string to a payment call or COS record. This attribute is useful for idempotency purposes.",
      "children": []
    },
    {
      "name": "createdAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was created in the system. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "releasedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was released in a distribution to the Fed. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "processedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was processed by Cross River. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm].",
      "children": []
    },
    {
      "name": "canceledAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was canceled",
      "children": []
    },
    {
      "name": "rejectedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was rejected. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "blockedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was blocked by BSA/AML. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "effectiveDate",
      "kind": "optional",
      "type": "string",
      "description": "Business date on which the payment is effective",
      "children": []
    },
    {
      "name": "completedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was systemically completed. This can only occur after the payment has successfully posted to the account. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "postedAt",
      "kind": "optional",
      "type": "string",
      "description": "Date and time the payment was posted to the Cross River account. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "originalPaymentId",
      "kind": "optional",
      "type": "string",
      "description": "Payment ID of a previously sent wire that was reversed. Otherwise, the same as the payment ID.",
      "children": []
    },
    {
      "name": "partnerId",
      "kind": "optional",
      "type": "string",
      "description": "Your unique ID in the Cross River system. This ID is in GUID format.",
      "children": []
    },
    {
      "name": "productId",
      "kind": "optional",
      "type": "string",
      "description": "ID in GUID format of your specific product type on which the account is based. Provided by Cross River. In this case, the Cross River account involved in the payment. More about Product IDs.",
      "children": []
    },
    {
      "name": "lastModifiedAt",
      "kind": "optional",
      "type": "string",
      "description": "Internal Cross River value. Date and time the database entry was last modified. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "postingCode",
      "kind": "optional",
      "type": "string",
      "description": "Includes OK (posted), RES (account restricted), NSF (insufficient funds in the account sending the wire)",
      "children": []
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "endpoint-wiresv1paymentsiddrawdown-responses",
  "legacyHash": "OrzN0rBzz4aMbXxp-g-bt"
}
```
:::

### <u>Validation Rules</u>

- **Originator BIC Format**
  - If the Originator Id Code is "B" (SWIFT BIC Code) and the Identifier is not in valid BIC format, the request will be rejected.
  - **Error Message:** `OriginatorIdentifier is not a valid BIC.`

### <u>Default Values</u>

- **Beneficiary FI (if not provided in original DRC)**
  - Derived from the Receiver Routing Number:
    - ID Code: "F"
    - Identifier: Receiver’s routing number
    - Name: Receiver’s customer name
    - Address1: Receiver’s city and state
- **Originator FI (if not provided in original DRC)**
  - Derived from the Sender Routing Number:
    - ID Code: "F"
    - Identifier: Sender’s routing number
    - Name: Sender’s customer name
    - Address1: Sender’s city and state

#

